Bug 13504 - RFE: PPTP-VPN's MPPE encryption support
RFE: PPTP-VPN's MPPE encryption support
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-07-05 11:58 EDT by giulioo
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description giulioo 2000-07-05 11:58:35 EDT
I think it would be a good idea to:
1) patch ppp to support MS MPPE
2) patch the kernel with the patched ppp (make kernel) and rc4 files from 

This, together with pptpd, would be a:
- drop-in replacement for NT4 PPTP VPN server
- an excellent solution to leverage the vpn enabled win9x clients out 
- "linux+MS-VPN+SAMBA = NT replacement": a nice thing for redhat users and 
for marketing people  :-)

I think you should consider doing this together with RFE #12799, in order 
to get a 100% complete PPTP solution.


ppp 2.3.11 (and kernel) patches:
(adds mppe/openssl stuff to ppp)

(more mppe)

(adds require-mppe and require-mppe-stateless pppd options)

(adds chapms-strip-domain pppd option).

It would be good to include the pptpd rpm too, but it's not necessary. The 
big thing is to have ppp and kernel ready for MS encryption style.
Comment 1 Bugzilla owner 2004-09-30 11:38:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.